<?php

/*************************************
             **         **           *
              **       **            *
               **  *  **             *
                ** * **              *
                 *   *               *
                                     *
        Created by Webs Studio       *
       http://webs.alfaspace.net     *
                                     *
Coding by SapienS, icq: 4780347      *
Design by S.T.A.L.K.E.R, icq: 268392 *
*************************************/

error_reporting(0);

extract ($_REQUEST,$_SESSION,$_COOKIE);

include '../config.inc.php';

session_start();

$today = date("j.m.y, G:i");

if ($_POST['new_edit_post_mess']) { SavePost($_POST['new_edit_post_mess'], $_POST['num_of_post']); header("Location: ../index.php"); }

/* Всякие функции */

function Check($perem)
{
$perem = trim($perem);
$perem = htmlspecialchars((stripslashes($perem)), ENT_QUOTES);
return $perem;
}

function SavePost($new_mess, $num)
{
$new_mess = stripslashes($new_mess);
$num = $num-1;
$posts_to_edit = file("../data/posts.web");
$exp_edit = explode("|", $posts_to_edit[$num]);
$exp_edit[2] = $new_mess;
$ready_line = implode("|", $exp_edit);
$posts_to_edit[$num] = $ready_line;
$fe = fopen("../data/posts.web", "w");
for ($i = 0; $i < count($posts_to_edit); $i++)
{
fputs($fe, $posts_to_edit[$i]);
}
fclose($fe);
}

/* Выход */

if ($_GET['exit'] == "ok") {
if($_SESSION['wb_admin']) { unset($_SESSION['wb_admin']); }}

/* Проверяем логин и пасс */

if ($_GET['subm'])
{
if ($_GET['new_login'] && $_GET['new_pass'])
{
$login = Check($_GET['new_login']);
$pass = Check($_GET['new_pass']);
if ($login == $adm_login && $pass == $adm_pass)
{
$_SESSION['wb_admin'] = $login; 
header("Location: index.php");
}
else
{
   $error_mess = "Логин или пароль не верен!";
}
}
elseif ((!$_GET['new_login']) && $_GET['new_pass'])
{
  $error_mess = "Логин не введен!";
}
elseif ($_GET['new_login'] && (!$_GET['new_pass']))
{
  $error_mess = "Пароль не введен!";
}
else
{
  $error_mess = "Логин и пароль не введены!";
}
}

/* Редактирование и удаление сообщений */

if (is_numeric($_GET['del']))
{
$del = Check($_GET['del']);
$posts_to_edit = file("../data/posts.web");
$tmp_num = $del-1;
$posts_to_edit[$tmp_num] = "";
$f = fopen("../data/posts.web", "w");
for ($ff = 0; $ff <= count($posts_to_edit); $ff++)
{
fputs($f, $posts_to_edit[$ff]);
}
fclose($f);
header("Location: ../index.php");
}

/* Бан */

if (is_numeric($_GET['ban']) && !$_GET['do'])
{
$ban = Check($_GET['ban']);
$posts_to_edit = file("../data/posts.web");
$tmp_num3 = $ban-1;
$exp_ban = explode("|", $posts_to_edit[$tmp_num3]);
$ip_to_ban = $exp_ban[6];

if(($find_ip = file_get_contents("../data/banned.web")) && $ip_to_ban)
{
$test_ip = substr_count($find_ip, $ip_to_ban);
}
if($test_ip) { $ban_error_mess = "<font color='red'>Этот IP-адрес уже добавлен!</font>";  }
elseif($ip_to_ban)
{
$fb = fopen("../data/banned.web", "a+");
fputs($fb, "$ip_to_ban\n");
fclose($fb);
$ban_mess = "<font color='red'>Бан добавлен!</font>";
}
}
elseif(is_numeric($_GET['ban']) && ($_GET['do'] == "del_ban"))
{
$ban = Check($_GET['ban']);
$banned = file("../data/banned.web");
$tmp_num4 = $ban-1;
$banned[$tmp_num4] = "";
$fp = fopen("../data/banned.web", "w");
for ($fb2 = 0; $fb2 < count($banned); $fb2++)
{
fputs($fp, $banned[$fb2]);
}
fclose($fp);
header("Location: index.php?view=ban");
}

/* Редактирование */

if (is_numeric($_GET['edit']))
{
$edit = Check($_GET['edit']);
$posts_to_edit = file("../data/posts.web");
$tmp_num5 = $edit-1;
$exp_edit = explode("|", $posts_to_edit[$tmp_num5]);
$edit_mess = $exp_edit[2];
}

if ($error_mess) { echo("<script language='javascript'>alert('$error_mess');</script>"); } 

if (!$_SESSION['wb_admin'])
{
echo ("<html><head><title>$wb_title | Admin-Zone</title><link rel='stylesheet' href='../themes/$wb_theme/style.css' type='text/css'></head><body><center><table class='enter_admin'><tr><td class='adm_1'>
<div align='right'><a href='index.php'>Admin-Zone</a>&nbsp;</div><br><br>
     <form action='index.php'>
     <table class='adm_2'>
     <tr>
     <td class='data_td'>Логин:
     </td>
     <td class='data_td'><input name='new_login' size='15' maxlength='20'>
     </td>
     </tr>
     <tr>
     <td class='data_td'>Пароль:
     </td>
     <td class='data_td'><input type='password' name='new_pass' size='15' maxlength='20'>
     </td>
     </tr>
     </table><br><br>
     <input name='subm' type='submit' value='Войти' class='submit'>
     </form>
</td></tr></table></center></body></html>");
}
else
{
echo ("<html><head><title>$wb_title | Admin-Zone</title><link rel='stylesheet' href='../themes/$wb_theme/style.css' type='text/css'></head>
<body>
   <center><a name='top'></a>
   <table class='main_tab'>
     <tr class='logo_tr'>
     <td class='logo_td'><div align='right'><a href='../index.php'>Гостевая книга</a> | <a href='index.php'>Admin-Zone</a> | Вы вошли как $_SESSION[wb_admin] | <a href='?exit=ok'>Выход</a>  &nbsp;</div>
     </td>
     </tr>

     <tr class='post_tr'>
     <td class='post_td'>
     <center><br>
     <div id='adm_menu'><b><a href='../index.php'>Управление сообщениями</a></b> &nbsp; | &nbsp; <b><a href='?view=ban'>Бан</a></b> &nbsp; | &nbsp; <b><a href='?view=about'>About</a></b></div>");
     
$view = Check($_GET['view']);
switch($view)
{
case "ban":
if ($ban_error_mess)
{
  echo "<br>$ban_error_mess";
}
else
{
if ($ban_mess) { echo "<br>$ban_mess<br>"; }
$banned_arr = file("../data/banned.web");
if($banned_arr)
{
echo "<br><table class='ban_tab'><tr><td class='ban_td'>IP адрес</td><td class='ban_td'>Действие</td></tr>";

for ($b = 0; $b < count($banned_arr); $b++)
{
$tmp_num2 = $b + 1;
if ($banned_arr[$b]) { echo "<tr><td class='ban_td'>$banned_arr[$b]</td><td class='ban_td'><a href='index.php?view=ban&ban=$tmp_num2&do=del_ban'>Удалить бан</a></td></tr>"; }
}
echo "</table>";
}
else
{
echo "<br><font color='red'>Нет забаненых посетителей!</font>";
}
}
break;

case "edit":

echo ("<br><form method='POST'><textarea name='new_edit_post_mess' cols='40' rows='9' wrap='virtual' maxlength='300'>$edit_mess</textarea><br><br><input type='hidden' name='num_of_post' value='$_GET[edit]'><input name='subm' type='submit' value='Изменить' class='submit'></form>");
break;

default:
echo ("<br><font size='+1'>Webs B00k v 1.0</font><br><br>
<div align='left'>
Мы рады, что вы выбрали нашу гостевую книгу! Новые версии, обновления и пр. вы можете найти на нашем сайте <center><a href='http://webs-studio.net.ru'>http://webs-studio.net.ru</a></center>
<br>
Данный скрипт распространяется по лицензии GNU.<br>
Смайлы, входящие в набор, принадлежат Aiwan`у, http://www.kolobok.wrg.ru<br>
<br>
1. Общие сведения.<br>
2. Установка.<br>
3. Кое-что о правах.<br>
<br>
1.Общие сведения.<br>
- Webs B00k – кроссплатформенный продукт, работающий как на UNIX, так и на Windows хостинге.<br>
- единственным требованием является наличие PHP 4.<br>
Возможности:<br>
- добавление сообщений, использование bb-тегов, использование смайлов, отображение и сохранение e-mail`a, icq-номера и сайта отправившего сообщение, постраничный вывод сообщений, возможность использования различных шаблонов, защита от ботов.<br>
- админ-панель: авторизация администратора с помощью сессий или кукисов, редактирование и удаление сообщений, изменение различных настроек через web-интерфейс.<br><br>
2. Установка<br>
Для установки измените файл config.inc.php (все комментарии смотрите в файле)  и загрузите все файлы на сервер. Если у Вас UNIX-хостинг вам необходимо сменить права на файлы. Какие права ставить – смотрите в следующем пункте.<br><br>
3. Рекомендуется устанавливать следующие права – 711 или 755 на каталоги, 600 на php-файлы, 644 на html-файлы, .dat-файлы, изображения и пр. НИКОГДА не устанавливайте права 777 – этим вы открываете дорогу хакерам.<br><br>
<center>Webs Studio | http://webs-studio.net.ru</center>
</div>");
break;
}
echo ("<br><br><a href='javascript:history.go(-1);'>Назад</a><br><a href='index.php'>Вернуться в Админ-панель</a>");
echo ("</center>
     </td>
     </tr>

     <tr class='bottom_tr'>
     <td class='bottom_td'><font size='-2'>Webs B00k v 1.0 | Created by <a href='http://webs-studio.net.ru' target='_blank'>Webs Studio</a> | 2005 &copy;</font>
     </td>
     </tr>

   </table>
   </center>
   </body></html>");
}

?>
